org.wildfly.swarm.jaeger

## Class JaegerFraction

- java.lang.Object
- - org.wildfly.swarm.jaeger.JaegerFraction

- All Implemented Interfaces:
    Fraction<JaegerFraction>

      public class JaegerFraction
      extends Object
      implements Fraction<JaegerFraction>

  Author:
    Juraci Paixão Kröhling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaegerFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAgentHost()`
    `String` | `getAgentPort()`
    `String` | `getReporterFlushInterval()`
    `String` | `getReporterLogSpans()`
    `String` | `getReporterMaxQueueSize()`
    `String` | `getSamplerManagerHost()`
    `String` | `getSamplerParameter()`
    `String` | `getSamplerType()`
    `String` | `getServiceName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### JaegerFraction

          public JaegerFraction()

  - ### Method Detail

    - #### getServiceName

          public String getServiceName()

    - #### getSamplerType

          public String getSamplerType()

    - #### getSamplerParameter

          public String getSamplerParameter()

    - #### getSamplerManagerHost

          public String getSamplerManagerHost()

    - #### getReporterLogSpans

          public String getReporterLogSpans()

    - #### getAgentHost

          public String getAgentHost()

    - #### getAgentPort

          public String getAgentPort()

    - #### getReporterFlushInterval

          public String getReporterFlushInterval()

    - #### getReporterMaxQueueSize

          public String getReporterMaxQueueSize()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 JBoss by Red Hat. All rights reserved.